<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <OutputType>Library</OutputType>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="aliyun-net-sdk-core" Version="1.5.11" />
    <PackageReference Include="aliyun-net-sdk-vod" Version="2.16.10" />
    <PackageReference Include="Aliyun.OSS.SDK.NetCore" Version="2.13.0" />
    <PackageReference Include="Autofac" Version="8.2.0" />
    <PackageReference Include="Confluent.Kafka" Version="2.0.2" />
    <PackageReference Include="CSRedisCore" Version="3.8.804" />
    <PackageReference Include="Dapper" Version="2.1.66" />
    <PackageReference Include="Elasticsearch.Net" Version="7.17.0" />
    <PackageReference Include="Google.Protobuf" Version="3.29.3" />
    <PackageReference Include="MailKit" Version="3.1.1" />
    <PackageReference Include="Mapster" Version="7.3.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="6.0.0" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="6.0.0" />
    <PackageReference Include="MySql.Data" Version="9.2.0" />
    <PackageReference Include="Newtonsoft.Json" Version="13.0.1" />
    <PackageReference Include="NLog" Version="5.4.0" />
    <PackageReference Include="NPOI" Version="2.6.2" />
    <PackageReference Include="Npoi.Mapper" Version="6.1.0" />
    <PackageReference Include="QRCoder" Version="1.3.9" />
	<PackageReference Include="SkiaSharp" Version="2.88.3" />
    <PackageReference Include="Senparc.Weixin.MP" Version="16.17.7" />
    <PackageReference Include="SkiaSharp.NativeAssets.Linux" Version="2.88.3" />
    <PackageReference Include="System.Collections" Version="4.3.0" />
	  <PackageReference Include="System.Drawing.Common" Version="6.0.0" />
	  <PackageReference Include="ZXing.Net" Version="0.16.10" />
  </ItemGroup>

  <ItemGroup>
    <Reference Include="BasePaySdk">
      <HintPath>..\..\sdk\BasePaySdk.dll</HintPath>
    </Reference>
    <Reference Include="Wicture.DbRESTFul">
      <HintPath>..\..\sdk\Wicture.DbRESTFul.dll</HintPath>
    </Reference>
  </ItemGroup>


</Project>
